
services:
  mqtt-explorer:
    build: .
    container_name: mqtt-web-explorer
    ports:
      - "8088:8088"
    environment:
      - MQTT_BROKER=tcp://10.0.0.3:1883
      - PORT=8088
      - SQLITE_DB=/data/mqtt.db
      - MQTT_DEBUG=false
      - SETTINGS_FILE=/data/settings.yml
      - MQTT_SYS_SUBSCRIBE=$$SYS/#
    depends_on:
      - mosquitto
    volumes:
      - ./data:/data
    restart: unless-stopped

  mosquitto:
    image: eclipse-mosquitto:latest
    container_name: mosquitto-test
    ports:
      - "1883:1883"
      - "9001:9001"
    volumes:
      - ./docker/mosquitto/mosquitto.conf:/mosquitto/config/mosquitto.conf
    restart: unless-stopped

volumes: {}
